
GammaLib - Action #498

Feature # 490 (Closed): Avoid casts for derived classes

Rework GRoi interface

09/19/2012 08:57 PM - Knödlseder Jürgen

Status: Closed Start date: 09/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-07-00   

Description

History

#1 - 09/20/2012 05:21 PM - Knödlseder Jürgen

- Start date set to 09/20/2012

due to changes in a related task

#2 - 09/20/2012 06:48 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#3 - 12/18/2012 09:43 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

All casts in the instrument specific classes have been removed. No rework has been done on the GRoi interface. Not clear whether we really need a

rework, as long as we don't have the need for a cast.
